description

# SendPort class Null safety

Sends messages to its ReceivePorts.

SendPorts are created from ReceivePorts. Any message sent through a SendPort is delivered to its corresponding ReceivePort. There might be many SendPorts for the same ReceivePort.

SendPorts can be transmitted to other isolates, and they preserve equality when sent.

Implemented types
  - Capability
Available Extensions
  - NativePort

## Constructors

SendPort()

## Properties

hashCode → int
  Returns an immutable hash code for this send port that is consistent with the == operator.
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
send(Object? message) → void
  Sends an asynchronous `message` through this send port, to its corresponding `ReceivePort`. [...]
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  Tests whether `other` is a SendPort pointing to the same ReceivePort as this one.
  override